toc:
- title: Application Sandbox
  path: /security/app-sandbox
- title: Application Signing
  section:
  - title: Overview
    path: /security/apksigning/
  - title: APK Signature Scheme v2
    path: /security/apksigning/v2
  - title: APK Signature Scheme v3
    path: /security/apksigning/v3
- title: Authentication
  section:
  - title: Overview
    path: /security/authentication/
  - title: Fingerprint HAL
    path: /security/authentication/fingerprint-hal
  - title: Gatekeeper
    path: /security/authentication/gatekeeper
- title: Biometric Unlock
  section:
  - title: Overview
    path: /security/biometric/
  - title: Measuring Biometric Security
    path: /security/biometric/measure
- title: Keystore
  section:
  - title: Overview
    path: /security/keystore/
  - title: Features
    path: /security/keystore/features
  - title: Key Attestation
    path: /security/keystore/attestation
  - title: Version Binding
    path: /security/keystore/version-binding
  - title: Authorization Tags
    path: /security/keystore/tags
  - title: Functions
    path: /security/keystore/implementer-ref
- title: Trusty TEE
  section:
  - title: Overview
    path: /security/trusty/
  - title: Download and Build
    path: /security/trusty/download-and-build
  - title: Trusty API Reference
    path: /security/trusty/trusty-ref
- title: Encryption
  section:
  - title: Overview
    path: /security/encryption/
  - title: File-Based Encryption
    path: /security/encryption/file-based
  - title: Full-Disk Encryption
    path: /security/encryption/full-disk
  - title: Metadata Encryption
    path: /security/encryption/metadata
  - title: Enabling Adiantum
    path: /security/encryption/adiantum
- title: SELinux
  section:
  - title: Overview
    path: /security/selinux/
  - title: Concepts
    path: /security/selinux/concepts
  - title: Implementation
    path: /security/selinux/implement
  - title: Customization
    path: /security/selinux/customize
  - title: Building sepolicy
    path: /security/selinux/build
  - title: Compatibility
    path: /security/selinux/compatibility
  - title: Validation
    path: /security/selinux/validate
  - title: Writing Policy
    path: /security/selinux/device-policy
  - title: Vendor init
    path: /security/selinux/vendor-init
- title: Verified Boot
  section:
  - title: Overview
    path: /security/verifiedboot/
  - title: Device State
    path: /security/verifiedboot/device-state
  - title: Verifying Boot
    path: /security/verifiedboot/verified-boot
  - title: Boot Flow
    path: /security/verifiedboot/boot-flow
  - title: Implementing dm-verity
    path: /security/verifiedboot/dm-verity
  - title: Reference Implementation
    path: /security/verifiedboot/avb
